Subject: Re: [RFC PATCH net-next v1 11/11] drivers/net/ethernet: clean up mis-targeted comments

From: Andrew Lunn <[email-masked]>
Date: Mon, 14 Sep 2020 05:04:25 +0200

On Sat, Sep 12, 2020 at 12:11:20AM +0100, Edward Cree wrote:
> On 11/09/2020 23:26, Jakub Kicinski wrote:
> > "Toolchain" sounds a little grand in this context, the script that
> > parses kdoc does basic regexps to convert the standard kernel macros:
> > ...
> > IDK if we can expect it to understand random driver's macros..
> I wasn't suggesting it should _understand_ this macro, justrecognise
>  when something _is_ a macro it doesn't understand, and refrain from
>  warning about it in that case.

Is it possible to get the C preprocessor to expand the macros without
stripping the comments? Run the kerneldoc validator on that?

	  Andrew